package com.qunzhixinxi.hnqz.admin.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.entity.WmProject;

/**
 * CRO关联的项目管理表
 *
 * @author lixuesong
 * @date 2021年06月21日 13:18
 */
public interface WmProjectService extends IService<WmProject> {

	/**
	 * 分页查询
	 *
	 * @param page
	 * @param deptId
	 * @param projectName
	 * @param delegate
	 * @return
	 */
	IPage<WmProject> listProjectPage(Page page, Integer deptId, String projectName, String delegate);

	/**
	 * 根据id查询
	 *
	 * @param id
	 * @return
	 */
	WmProject getProjectById(Integer id);

	/**
	 * 保存项目
	 *
	 * @param wmProject
	 */
	void saveProject(WmProject wmProject);

	/**
	 * 更新项目
	 *
	 * @param wmProject
	 */
	void updateProjectById(WmProject wmProject);

	/**
	 * 删除项目
	 *
	 * @param projectId
	 */
	void removeProjectById(Integer projectId);
}
